Announcement

Collapse
No announcement yet.

Upgrading from 2.2.9 to 3.5

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrading from 2.2.9 to 3.5

    Hi,

    I am running vbulletin 2.2.9 and I would like to upgrade to verison 3.5.
    It ran the database_conflict script and it said many of my tables are
    under conflict.

    I remember that there is a script which I need to run to fix my database prior to running upgrade.php for version 3.5. Where can I get that script?

    Anthony

  • #2
    What were the exact results you got?
    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
    Change CKEditor Colors to Match Style (for 4.1.4 and above)

    Steve Machol Photography


    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


    Comment


    • #3
      Conflicts

      Database Checking Results
      Any conflicting tables or columns must be removed or renamed before the upgrade to vBulletin 3 proceeds

      Table Conflicts
      Table Conflict for adminhelp
      Table Conflict for administrator
      Table Conflict for attachmenttype
      Table Conflict for attachmentviews
      Table Conflict for calendar
      Table Conflict for calendarcustomfield
      Table Conflict for calendarmoderator
      Table Conflict for calendarpermission
      Table Conflict for cron
      Table Conflict for cronlog
      Table Conflict for customprofilepic
      Table Conflict for datastore
      Table Conflict for deletionlog
      Table Conflict for editlog
      Table Conflict for faq
      Table Conflict for holiday
      Table Conflict for imagecategory
      Table Conflict for imagecategorypermission
      Table Conflict for language
      Table Conflict for mailqueue
      Table Conflict for moderation
      Table Conflict for moderatorlog
      Table Conflict for passwordhistory
      Table Conflict for phrase
      Table Conflict for phrasetype
      Table Conflict for pm
      Table Conflict for pmreceipt
      Table Conflict for pmtext
      Table Conflict for post_parsed
      Table Conflict for posthash
      Table Conflict for ranks
      Table Conflict for reminder
      Table Conflict for reputation
      Table Conflict for reputationlevel
      Table Conflict for stats
      Table Conflict for strikes
      Table Conflict for subscribeevent
      Table Conflict for subscription
      Table Conflict for subscriptionlog
      Table Conflict for threadviews
      Table Conflict for upgradelog
      Table Conflict for userban
      Table Conflict for usergroupleader
      Table Conflict for usergrouprequest
      Table Conflict for usernote
      Table Conflict for userpromotion
      Table Conflict for usertextfield

      Column Conflicts
      No Column conflicts

      Comment


      • #4
        Those are not vB 2.2.9 tables. Are you sure you checked the correct database?
        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
        Change CKEditor Colors to Match Style (for 4.1.4 and above)

        Steve Machol Photography


        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


        Comment


        • #5
          Updating version number .... Done!
          Upgrade to 2.2.9 completed successfully!
          Please delete the following files if you uploaded them: install.php, and all files that begin with 'upgrade'
          Thank you for using vBulletin.

          I re-imported the 2.2.8 database; re-ran the upgrade to 2.2.9 and re-ran the database_conflicts.php. What am I doing wrong?

          Here is the result again:

          Table Conflict for adminhelp
          Table Conflict for administrator
          Table Conflict for attachmenttype
          Table Conflict for attachmentviews
          Table Conflict for calendar
          Table Conflict for calendarcustomfield
          Table Conflict for calendarmoderator
          Table Conflict for calendarpermission
          Table Conflict for cron
          Table Conflict for cronlog
          Table Conflict for customprofilepic
          Table Conflict for datastore
          Table Conflict for deletionlog
          Table Conflict for editlog
          Table Conflict for faq
          Table Conflict for holiday
          Table Conflict for imagecategory
          Table Conflict for imagecategorypermission
          Table Conflict for language
          Table Conflict for mailqueue
          Table Conflict for moderation
          Table Conflict for moderatorlog
          Table Conflict for passwordhistory
          Table Conflict for phrase
          Table Conflict for phrasetype
          Table Conflict for pm
          Table Conflict for pmreceipt
          Table Conflict for pmtext
          Table Conflict for post_parsed
          Table Conflict for posthash
          Table Conflict for ranks
          Table Conflict for reminder
          Table Conflict for reputation
          Table Conflict for reputationlevel
          Table Conflict for stats
          Table Conflict for strikes
          Table Conflict for subscribeevent
          Table Conflict for subscription
          Table Conflict for subscriptionlog
          Table Conflict for threadviews
          Table Conflict for upgradelog
          Table Conflict for userban
          Table Conflict for usergroupleader
          Table Conflict for usergrouprequest
          Table Conflict for usernote
          Table Conflict for userpromotion
          Table Conflict for usertextfield

          Column Conflicts
          No Column conflicts

          Comment


          • #6
            Look at this database. Do you see those tables? These are vB 3 tables. Restore the db does not overwrite or remove those tables. Restore the 2.2.8 db to a fresh database.

            If you have those tables in that, then you will need to remove them.
            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
            Change CKEditor Colors to Match Style (for 4.1.4 and above)

            Steve Machol Photography


            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


            Comment


            • #7
              I am starting from scratch again. Dropped vbulletin database and restore
              the 2.2.8 database and php scripts. I will attempt to upgrade to 2.2.9 again. Can you let me know where can I download 2.2.9 installation files?

              Anthony

              Comment


              • #8
                The Members Area.
                Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                Change CKEditor Colors to Match Style (for 4.1.4 and above)

                Steve Machol Photography


                Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                Comment


                • #9
                  I can only find version 2.3.x and on in the member area. I need to have 2.2.9.

                  Anthony

                  Comment


                  • #10
                    You don't need the 2.2.9 files. Download 2.3.9 and run upgrade22.php to upgrade the database to 2.2.9.
                    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                    Change CKEditor Colors to Match Style (for 4.1.4 and above)

                    Steve Machol Photography


                    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                    Comment

                    Related Topics

                    Collapse

                    Working...
                    X